
/* ----------------------------------- */

/* :: MAP SECTION :: */
.light-theme .map-se {
  background-color: #fff;
}

/* map */
.map-se .map {
  opacity: .8;
}

/* markers */
.map-se .markers {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
}

/* marker */
@media only screen and (min-width: 768px) {
  .map-se .marker {
    position: absolute;
    cursor: pointer;
    z-index: 2;
    transition: z-index 1s ease;
  }
  .map-se .marker:hover {
    z-index: 3;
    transition: z-index 0s ease;
  }
  .map-se .marker:nth-child(1) {
    left: 27%;
    top: 39%;
  }
  .map-se .marker:nth-child(2) {
    left: 44%;
    top: 23%;
  }
  .map-se .marker:nth-child(3) {
    left: 47%;
    top: 28%;
  }
  .map-se .marker:nth-child(4) {
    left: 15%;
    top: 55%;
  }
  .map-se .marker:nth-child(5) {
    left: 78%;
    top: 70%;
  }
}

/* icon */
.map-se .marker .icon {
  position: relative;
  width: 50px;
  height: 50px;
  background-image: url("../images/pages/game-server/icons/marker.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}
.map-se .marker .icon::after {
  position: absolute;
  content: '';
  left: 20px;
  top: 17px;
  width: 10px;
  height: 10px;
  background-color: #FFFFFF;
  border-radius: 50%;
  transition: all .15s ease-in-out;
  z-index: 2;
}
.map-se .marker:hover .icon::after {
  transform: scale(1.7);
}

/* m-body */
.map-se .marker .m-body {
  position: absolute;
  width: 240px;
  bottom: calc(100% + 15px);
  left: 50%;
  transform: translateX(-50%);
  background-color: var(--semi-dark-2);
  padding: 20px;
  border-radius: 6px;
  visibility: hidden;
  opacity: 0;
  transition: all .3s ease-in-out;
}
.map-se .marker .m-body::before {
  position: absolute;
  content: '';
  bottom: -6px;
  left: 47%;
  width: 14px;
  height: 14px;
  border-radius: 4px;
  background-color: var(--semi-dark-2);
  transform: rotate(45deg);
}
.light-theme .map-se .marker .m-body {
  background-color: #FFFFFF;
  box-shadow: -4px 5px 30px rgba(4, 61, 117, 0.1);
}
.light-theme .map-se .marker .m-body::before {
  background-color: #FFFFFF;
}

.map-se .marker:hover .m-body {
  visibility: visible;
  opacity: 1;
}
.map-se .marker .flag {
  width: 26px;
  margin-right: 15px;
}
.map-se .marker .m-title {
  font-size: 16px;
  font-family: var(--g2-font);
  font-weight: 700;
  color: #fff;
}
.light-theme .map-se .marker .m-title  {
  color: var(--darkBlue);
}
.map-se .marker .m-para {
  font-size: 14px;
  font-family: var(--secondary-font);
  font-weight: 600;
  color: var(--gray);
}

/* open-left */
.map-se .marker.open-left .m-body {
  left: unset;
  right: calc(100% + 10px);
}
.map-se .marker.open-left .m-body::before {
  left: unset;
  right: -6px;
}

/* Media */
@media only screen and (max-width: 767.98px) {

  .map-se {
    padding-bottom: 70px;
  }

  /* map */
  .map-se .map {
    display: none !important;
  }

  /* markers */
  .map-se .markers {
    all: unset;
    box-sizing: border-box;
  }

  /* marker */
  .map-se .marker {
    all: unset;
    box-sizing: border-box;
    display: block;
    background-color: transparent;
    padding: 8px 15px;
    flex: 0 0 100%;
    max-width: 100%;
  }

  /* icon */
  .map-se .marker .icon {
    display: none;
  }

  /* m-body */
  .map-se .marker .m-body,
  .map-se .marker .m-body::before {
    all: unset;
    box-sizing: border-box;
  }
  .map-se .marker .m-body {
    padding: 15px !important;
    display: block;
    background: var(--semi-dark);
    border-radius: 6px;
  }
  .light-theme .map-se .marker .m-body {
    background: var(--border);
  }
  .map-se .marker .flag {
    width: 26px;
    margin-right: 15px;
  }
  .map-se .marker .m-title {
   color: #fff;
  }
  .light-theme .map-se .marker .m-title {
    color: var(--darkblue);
  }
  .map-se .marker .m-para {
    color: var(--gray);
  }
}
/* ----------------------------------- */